/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * Copyright (C) 2011 Perberos <perberos@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

#ifndef __MATE_ABOUT_H__
#define __MATE_ABOUT_H__

#include <config.h> // autogenerated by ./configure
#include <gtk/gtk.h>
#include <libintl.h> // for gettext
#include <glib/gi18n.h>

#include <libmate-desktop/mate-aboutdialog.h>

const char* program_name = N_("Kylin");
const char* version = "V10";
const char* icon = "/usr/share/mate-about/logo.png";
const char* desktop_icon = "desktop";
const char* website = "https://www.kylinos.cn/";

const char* copyright =  ""
    "Copyright © 1997-2011 GNOME developers\n"
    "Copyright © 2011 Perberos\n"
    "Copyright © 2012-2015 MATE developers";

/* Increment comments_count if you add other comments. This will be
 * used to choose a random comment. */
const int comments_count = 6;
const char* comments_array[] = {
	N_("Kylin 4.0\n"
           "Build 141231")
};

const char* authors[] = {
	"Ubuntu Kylin Members",
        NULL
};

// documentation
const char* documenters[] = {
    NULL
};
// artists
const char* artists[] = {
    NULL
};

// widget for mate-about window
MateAboutDialog* mate_about_dialog = FALSE;

#if GTK_CHECK_VERSION(3, 0, 0)
    GtkApplication* mate_about_application;
#else
    GApplication* mate_about_application;
#endif

/**
 * If this value is set to TRUE, then mate_about_dialog will not be called
 * on the main function.
 */
gboolean mate_about_nogui = FALSE;
// functions
void mate_about_run(void);
void mate_about_release_version(void);

#if GTK_CHECK_VERSION(3, 0, 0)
    static void mate_about_on_activate(GtkApplication* app);
#else
    static void mate_about_on_activate(GApplication* app);
#endif

// arguments definitions
static GOptionEntry command_entries[] = {
    {"version", 'v', 0, G_OPTION_ARG_NONE, &mate_about_nogui, "Show MATE version", NULL},
    {NULL}
};

#endif /* __MATE_ABOUT_H__ */
